[CentOS] Pulling Hair Out - TWiki 4.2 on CentOS 5

Les Mikesell lesmikesell at gmail.com
Wed Jun 18 21:18:07 UTC 2008

Chuck wrote:
> Hmmm. That might be correct. I've drilled down into the configure script 
> and it pukes here:
> print STDERR "MARK 10.1\n";
> $query = new CGI;  # It dies on this line
> print STDERR "MARK 10.2\n";
> It never gets to MARK 10.2.
> I am using the CPAN version of CGI:
> cpan[1]> install CGI
> CPAN: Storable loaded ok (v2.15)
> <SNIP>
> Going to write /root/.cpan/Metadata
> CGI is up to date (3.37).

Many packages require many other sub-modules and the relationships 
sometimes change.  Either CPAN or the RPM packages will have this 
consistent at any particular version, but you can install a newer CPAN 
part, then have one of the subcomponents it needs replaced by an older 
one that doesn't work in an RPM update - or something like that...  If 
you pin it down, please let the rest of us know.

   Les Mikesell
    lesmikesell at gmail.com

More information about the CentOS mailing list